Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_Invocation_Endpoint_Selector Class Reference

TAO_RT_Invocation_Endpoint_Selector. More...

`#include <RT_Invocation_Endpoint_Selectors.h>`

Inheritance diagram for TAO_RT_Invocation_Endpoint_Selector:

[legend]
Collaboration diagram for TAO_RT_Invocation_Endpoint_Selector:

[legend]
List of all members.

## Public Methods
virtual void | select_endpoint (TAO::Profile_Transport_Resolver *r, ACE_Time_Value *val ACE_ENV_ARG_DECL)
## Protected Methods
void | select_endpoint_based_on_client_protocol_policy (TAO::Profile_Transport_Resolver &r, RTCORBA::ClientProtocolPolicy_ptr client_protocol_policy, RTCORBA::ProtocolList &protocols, ACE_Time_Value *v ACE_ENV_ARG_DECL)
int | endpoint_from_profile (TAO::Profile_Transport_Resolver &r, ACE_Time_Value *v ACE_ENV_ARG_DECL)

## Detailed Description

TAO_RT_Invocation_Endpoint_Selector.

This strategy is used when the only policy that might be set is the private connection policy.

## Member Function Documentation

int TAO_RT_Invocation_Endpoint_Selector::endpoint_from_profile | ( | TAO::Profile_Transport_Resolver & | r,
|  | ACE_Time_Value *v | ACE_ENV_ARG_DECL
| ) | `[protected]`

void TAO_RT_Invocation_Endpoint_Selector::select_endpoint | ( | TAO::Profile_Transport_Resolver * | r,
|  | ACE_Time_Value *val | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Implements TAO_Invocation_Endpoint_Selector.

void TAO_RT_Invocation_Endpoint_Selector::select_endpoint_based_on_client_protocol_policy | ( | TAO::Profile_Transport_Resolver & | r,
|  | RTCORBA::ClientProtocolPolicy_ptr | client_protocol_policy,
|  | RTCORBA::ProtocolList & | protocols,
|  | ACE_Time_Value *v | ACE_ENV_ARG_DECL
| ) | `[protected]`

The documentation for this class was generated from the following files:

- RT_Invocation_Endpoint_Selectors.h
- RT_Invocation_Endpoint_Selectors.cpp